www-repository mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos Sanchez" <car...@apache.org>
Subject Re: Missing dependency in geronimo-kernel 1.1 pom
Date Thu, 09 Nov 2006 16:59:41 GMT
ok, i put it optional

On 11/9/06, Guillaume Nodet <gnodet@gmail.com> wrote:
> Any news on that ?
>
> On 11/8/06, Guillaume Nodet <gnodet@gmail.com> wrote:
> > <optional>true</optional> is the good one.
> > Sorry for the confusion between compile / runtime scopes.
> >
> > On 11/7/06, Carlos Sanchez <carlos@apache.org> wrote:
> > > so it should be
> > >
> > > <scope>test</scope>
> > >
> > > or
> > >
> > > <optional>true</optional>
> > >
> > > Note that it's not runtime as it is required for compilation of the sources
> > >
> > > On 11/7/06, Guillaume Nodet <gnodet@gmail.com> wrote:
> > > > This is an implementation of javax.xml.namespace.QName.
> > > > However I would not recommend trying to remove this
> > > > dependency on JDK 5, because the classes are not compatible
> > > > (the serialized uids for this class has changed between JDK 1.4
> > > > using jaxp and jdk 5).  Anyway, any solution would work better
> > > > that what we currently have, as several builds of projects
> > > > at apache are broken (ServiceMix, Ode and i guess more).
> > > >
> > > > On 11/7/06, Steve Loughran <steve.loughran@gmail.com> wrote:
> > > > > On 07/11/06, Guillaume Nodet <gnodet@gmail.com> wrote:
> > > > > > I've checked the source code and the QName class is referenced
> > > > > > in packages:
> > > > > >   * src/java org.apache.geronimo.kernel.config.xstream
> > > > > >   * src/test org.apache.geronimo.kernel.config
> > > > > >
> > > > > > The first package is an optional one and the second one is for
test.
> > > > > > I guess the dependency is thus runtime, optional.
> > > > > >
> > > > > > Would it be possible to fix the m2 pom with this information,
please ?
> > > > >
> > > > > Is this QName class an implementation of the javax.xml.namespace.QName
class?
> > > > >
> > > > > If so, it is could be required on any runtime <1.5, and not needed
above that.
> > > > >
> > > >
> > > >
> > > > --
> > > > Cheers,
> > > > Guillaume Nodet
> > > >
> > >
> > >
> > > --
> > > I could give you my word as a Spaniard.
> > > No good. I've known too many Spaniards.
> > >                              -- The Princess Bride
> > >
> >
> >
> > --
> > Cheers,
> > Guillaume Nodet
> >
>
>
> --
> Cheers,
> Guillaume Nodet
>


-- 
I could give you my word as a Spaniard.
No good. I've known too many Spaniards.
                             -- The Princess Bride

Mime
View raw message